Package ghidra.app.util.bin.format.golang.rtti.types

# Class GoUncommonType

java.lang.Object
ghidra.app.util.bin.format.golang.rtti.types.GoUncommonType

public class GoUncommonType extends Object
Structure found immediately after a `GoType` structure, if it has the uncommon flag set.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GoUncommonType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getEndOfTypeInfo()`
  Returns the location of where this object, and any known associated optional structures ends.
  `List<GoMethod>`
  `getMethods()`
  Returns a list of the methods defined by the type.
  `GoSlice`
  `getMethodsSlice()`
  Returns a slice containing the methods defined by the type.
  `String`
  `getPackagePathString()`
  Returns the package path of the type.
  `GoName`
  `getPkgPath()`
  Returns the package path of the type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GoUncommonType

    public GoUncommonType()

- ## Method Details

  - ### getPkgPath

    public GoName getPkgPath() throws IOException
    Returns the package path of the type.
    Returns:
      package path of the type
    Throws:
      `IOException` - if error reading data

  - ### getPackagePathString

    public String getPackagePathString() throws IOException
    Returns the package path of the type.
    Returns:
      package path of the type, as a string
    Throws:
      `IOException` - if error reading data

  - ### getMethodsSlice

    public GoSlice getMethodsSlice()
    Returns a slice containing the methods defined by the type.
    Returns:
      slice containing the methods defined by the type

  - ### getMethods

    public List<GoMethod> getMethods() throws IOException
    Returns a list of the methods defined by the type.
    Returns:
      list of the methods defined by the type
    Throws:
      `IOException` - if error reading data

  - ### getEndOfTypeInfo

    public long getEndOfTypeInfo()
    Returns the location of where this object, and any known associated optional structures ends.
    Returns:
      index location of end of this type object